package it.inaf.oats.ia2.tapschemamanager.businesslayer;

import java.sql.SQLException;
import java.util.List;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public interface EntityWrapperContainer {

    public EntityWrapper getSelectedEntity();

    public void selectEntity(String entityName);

    public List<String> getAddables();

    public List<EntityWrapper> getAllEntityWrappers();

    public void addEntityWrapper(String name) throws SQLException;

    public void removeEntityWrapper(String name);

    public boolean hasChildren();
}
